GET
Get a preview environment

Authorizations

Authorization
string
header
required

Bearer token for authentication. Format: 'Bearer {token}'

Headers

X-Workspace-Id
string

Workspace ID (uses default workspace if not provided)

Path Parameters

uuid
string
required

Application UUID

id
integer<int32>
required

Preview environment ID

Response

Get a preview environment

Api_V1_Entities_PreviewEnvironment model

id
integer<int32>
required

Preview environment ID. Use it in the show, delete and redeploy endpoints

status
string
required

One of creating, active, updating, failed, destroying

app_uuid
string
required

UUID of the cloned application backing this preview environment

app_name
string
required

Name of the cloned application

url
string
required

Public URL of the preview environment

pull_request_number
integer<int32>
required

Pull request number, or null for a branch-based preview environment

pull_request_title
string
required

Pull request title

pull_request_author
string
required

GitHub login of the pull request author

pull_request_state
string
required

open or closed

pull_request_url
string
required

Link to the pull request on GitHub

pull_request_merged
boolean
required

Whether the pull request was merged

branch
string
required

Head branch the preview environment tracks

base_branch
string
required

Base branch of the pull request

commit_sha
string
required

Commit currently deployed

deployment_error
string
required

Why the last deployment failed, when status is failed

last_commit_at
string<date-time>
required

Timestamp of the last commit picked up

last_deployed_at
string<date-time>
required

Timestamp of the last successful deployment

closed_at
string<date-time>
required

When the pull request was closed

expires_at
string<date-time>
required

When the preview environment is cleaned up automatically

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp